#include <gtk/gtk.h>

void
on_comboboxType_realize                (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_buttonKeisan_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_comboboxType_changed                (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_window1_realize                     (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_comboboxMemori_realize              (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_comboboxMemori_changed              (GtkComboBox     *combobox,
                                        gpointer         user_data);

/* i番目の切り込みを求める */
gdouble get_kirikomi(gint i,
											gint kaisu,							/* 切込み回数 */
											gdouble kirikomi_1st,	/* 初回切込み */
											gdouble kirikomi_end);	/* 最終切込み */
											
/* (x1,g1)と(x2,g2)の２点を補間する曲線		*/
gdouble g(gdouble x,gdouble x1,gdouble x2,gdouble g1,gdouble g2);

gdouble f(gdouble x,gdouble a,gdouble b);

/* 文字列から径を求める
	ユニファイ、ウィットねじの場合
	径が1/4や1/8などと分数で表される */
gdouble getKei(gchar *text);

/* 文字列からピッチ[mm]を求める
	ユニファイネジやウィットネジの場合、
	ピッチの代わりに1inch=25.4mmあたりの
	山数が使われるので、ピッチへ換算する */
gdouble getPitch(gchar *text);

gchar *get_kekka(gdouble kei,					/* 呼び径 [mm]*/
									gdouble pitch,				/* ピッチ [mm]*/
									gdouble kirikomi1,		/* 初回切込み [mm]*/
									gint kaisu);						/* 切込み回数 */
